/* FX */
initFX:
	lda #00; sta fxCount; sta fxY
	lda #01; sta sprite1Color
	lda #00; sta sprite1
	lda fxFrame; sta sprite1; lda fxSpriteX; sta sprite1X; lda fxSpriteY; sta sprite1Y
	rts

//Process one time fxs on sprite1
doFX:	

	//jsr fixSpriteFX

	inc fxTicker; lda fxTicker; and #%00000011; sta fxTicker
	cmp #00
	bne endFX
		
	//jsr fixSpriteFX
	lda fxCount
	cmp #00
	beq endFX
	dec fxCount
	inc fxFrame
endFX:
	//lda #00 sta sprite1
	rts
	
//x-x y-y a-start frame
spawnFX:
	//rts
	//clc
	//adc #16
	sta fxFrame
	stx fxX
	sty fxY
	lda #05; sta fxCount
	rts

//change color of exit tile


//fix sprite inside camera bounds
fixSpriteFX:

	lda clearCount
	cmp #32
	bne fsf
	rts
fsf:

	//x	
	lda fxX; clc; adc #17; asl; asl; asl; sec; sbc #04; sta fxSpriteX
	
	lda #0; sta fxSpriteY	//reset
	
	lda fxY		
	sec
	sbc cameraY		

	cmp #25
	bcs skipFix
	//ok <24 we need to put hero sprite
	asl; asl; asl; clc; adc #43; clc; adc yScroll; sta fxSpriteY
skipFix:
	rts
