
.var SOUND_COIN = 4

.var levelPointer = 04 //store a 16 bit levelPointer in 04 05

.var screenPointer = 06 //store 16 bit pointer to screen in $06 $07
.var colorPointer = 08 //store 16 bit pointer to colors of screen in $08 $09
.var stackX = 10   //stack for X store
.var stackY = 11   //stack for Y stor
.var animDelay = 15 //15
.var stack2X = 16   //second deep stack for X store
.var stack2Y = 17   //second deep stack for Y stor
.var yScroll = 18 //y scroll displacement 0-7
.var delta = 24 //what to add
.var coinFrame = 25 //frame of coin 0,1,2,3
.var levelStart = 26 //store a 16 bit levelStart Draw 32,33

.var heroBaseFrame = 28 	//frame to move in sprite def
.var heroTick = 29 			//0.1 tick for animations
.var heroAnimDelay = 30 //delay for hero animations

//hero cell coords
.var heroX = 31
.var heroY = 32
//camera Y
.var cameraY = 33
.var cameraCount = 34
.var cameraStep = 35
.var delayCount = 36

.var tilePointer = 37//38
.var moveDir = 39//hero movedir
.var preMoveDir = 40//hero movedir

.var xorTicker = 41//tick 0 and 1 for random landing frame
.var landFrame = 42//land frame
.var trailStart = 43//44
.var trailPointer = 45//46

.var tmpVar = 47//
//.var xorTrailTicker = 48//tick 0 and 1 for random landing frame

.var totalCoins = 48 //coins count on level
.var heroKabumFrame = 49//kabum hero frame
.var tilePointer2 = 50//51


.var fxTicker = 52//fx delay ticker
.var fxCount = 53//counter
.var fxX = 54// x of FX
.var fxY = 55// y of FX

//hero cell pre coords
.var heroPreX = 56
.var heroPreY = 57
.var heroLandFX = 58//kabum hero frame

.var crackX = 59//crack coords
.var crackY = 60//crack coords
.var wasCrack = 61//crack coords

.var switchTicker = 62//tick 0 and 1 
.var heroesCount = 63//number of heroes

.var fireDelay = 64//number of heroes
.var landTile = 65//number of heroes

.var currentLevel = 66//
.var enemyFrame = 67//

.var gunsPointer = 68//68-69

.var from = 70//71
.var to = 72//73
.var size = 74//75

.var clearCount = 76 //clear count after dead or clear

.var tileUnderLegs = 77 //tile under legs

.var currentMusic = 78 //current music playing



.var restorePointer = 193 //store a 16 bit restorePointer

//keyboard input
.var dxkb = 195
.var dykb = 196
.var firekb = 197

//joystick input
.var dx = 198
.var dy = 199

.var gameState = 200// game state

.var frameReady = 201 //when last irq trigers a ready frame
.var enemyPointer = 202//203 - pointer for enemies
.var enemySpritePointer = 204//205 - pointer for enemies

.var fxFrame = 206//frame of FX
.var fxSpriteX = 207//frame of FX
.var fxSpriteY = 208//frame of FX

.var cameraY2 = 209//frame of FX
.var xScroll = 210//x scroll of tower
.var isDead = 211 //if hero is dead




//VARIABLES

.var mainIrqLine = 255

.var GS_GAMEPLAY = 0
.var GS_CLEAR = 1
.var GS_DEAD = 2
.var GS_MENU = 3
.var GS_OUTRO = 4

.var DIR_IDLE = 0
.var DIR_LEFT = 1
.var DIR_RIGHT = 2
.var DIR_DOWN = 3
.var DIR_UP = 4

.var vAnimDelay = 2//12.5hz animation
.var vHeroAnimDelay = 4//
.var vKeyDelay = 0 //key delay

//TILES
.var TILE_NULL = 0
.var TILE_HIDDEN = 1
.var TILE_PIKEUP = 2
.var TILE_PIKEDOWN = 3
.var TILE_PIKERIGHT = 4
.var TILE_PIKELEFT = 5

.var TILE_UP = 14 //   \\\\
.var TILE_DOWN = 15 //   \\\\

.var TILE_REFLECT1 = 16 //   \\\\
.var TILE_REFLECT2 = 17 //   ////

//where head directioned
.var TILE_STARTUP = 18 //   ////
.var TILE_STARTDOWN = 19 //   ////
.var TILE_STARTLEFT = 20 //   ////
.var TILE_STARTRIGHT = 21 //   ////

.var TILE_SOLID = 18

.var TILE_GOLD = 6
.var TILE_COIN = 7
.var TILE_EXIT = 13

.var TILE_GUNRIGHT = 24
.var TILE_GUNLEFT = 25

.var TILE_ENEMYRIGHT = 32
.var TILE_ENEMYLEFT = 33

.var TILE_CRACK = 27
.var TILE_BLOCK = 28
.var TILE_START = 31

.var TILE_BEAM = 88 //6 frames of animated laser

//ENEMIES START POINT
.var ENEMY_RIGHT = 32
.var ENEMY_LEFT = 33

.var FX_REFLECT = 144+22
.var FX_LANDLEFT = 144+28
.var FX_LANDRIGHT = 144+34
.var FX_LANDDOWN = 144+40
.var FX_LANDUP = 144+46
