
animateExit:		 		
		lda totalCoins
		cmp #00
		bne skipExitAnimation

		inc exitColor+1
exitColor:
		lda #04 ; and #%00000111 ; sta tilesColors+13
skipExitAnimation:   		
		rts
		

animateHero:
	//lda #22 sta sprite0
	//rts

	//ok if gameplay do simple animate
	lda gameState
	cmp #GS_GAMEPLAY
	beq doGameplayAnimation
	
	lda heroKabumFrame ; sta sprite0
	cmp #144+27
	bne notStop
	rts
notStop:
	//lda #00 sta sprite0
	
//ok animate kabum
	//check hero anim delay - sloooowy
	dec heroAnimDelay	
	bne da012 //not
   	//reset back anim delay
	lda #vHeroAnimDelay //reset counter
	sta heroAnimDelay  //save it
	inc heroKabumFrame
	
da012:			
	rts
	
doGameplayAnimation:
	//apply hero frame to sprite
	lda heroBaseFrame		
	clc
	adc heroTick
	sta sprite0

	//check hero anim delay - sloooowy
	dec heroAnimDelay	
	bne da02 //not
   	//reset back anim delay
	lda #vHeroAnimDelay //reset counter
	sta heroAnimDelay  //save it
		//
		inc heroTick
		lda heroTick
		and #%00000001
		sta heroTick
da02:

	rts
		
doAnimationsMenu:
 //check delay count(12.5 hz)
   dec animDelay
   bne da01 //not
   		//reset back anim delay
		lda #vAnimDelay //reset counter
		sta animDelay  //save it		
	jsr animateCoins 	
	rts	
	
doAnimations:		

//	lda #128+18 sta sprite2
//	lda #128+18 
//	clc
//	adc enemyFrame	
//	sta sprite2	
	jsr animateHero	


   //check delay count(12.5 hz)
   dec animDelay
   bne da01 //not
   //reset back anim delay
	lda #vAnimDelay //reset counter
	sta animDelay  //save it			
	
				//animate enemys

	/*	inc enemiesSprites+3*0+2 lda enemiesSprites+3*0+2 and #%00000011  sta enemiesSprites+3*0+2				
		inc enemiesSprites+3*1+2 lda enemiesSprites+3*1+2 and #%00000011  sta enemiesSprites+3*1+2				
		inc enemiesSprites+3*2+2 lda enemiesSprites+3*2+2 and #%00000011  sta enemiesSprites+3*2+2				
		inc enemiesSprites+3*3+2 lda enemiesSprites+3*3+2 and #%00000011  sta enemiesSprites+3*3+2				
		inc enemiesSprites+3*4+2 lda enemiesSprites+3*4+2 and #%00000011  sta enemiesSprites+3*4+2				
		inc enemiesSprites+3*5+2 lda enemiesSprites+3*5+2 and #%00000011  sta enemiesSprites+3*5+2				
	*/	
		inc enemyFrame
		lda enemyFrame
		and #%00000011
		sta enemyFrame
		
		sta enemiesSprites+3*0+2
		sta enemiesSprites+3*1+2
		sta enemiesSprites+3*2+2
		sta enemiesSprites+3*3+2
		sta enemiesSprites+3*4+2
		sta enemiesSprites+3*5+2

		
   		jsr animateCoins   		   		
da01:

	rts

	
animateCoins:
		//ok inc coin frame as 0,1,2,3
   		inc coinFrame
   		lda coinFrame	
   		and #%00000011
   		sta coinFrame
   		//update tile in charset based on frame
   		//x8
   		asl ; asl ; asl
   		tax ; ldy #0
   		
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y	; inx ; iny
   		lda coins,x ; sta tiles+7*8,y
   		
   		
   		rts