/*

	camera

*/

initCamera:
	lda #0 ; sta cameraCount ; sta cameraStep ; sta yScroll
	//if we change camera start we need to change a levelStart param
	lda #0 ; sta cameraY
	rts

moveCameraDown:
	dec yScroll		
//	lda yScroll
//	and #%00000111
//	sta yScroll	
	
	dec cameraCount
	lda cameraCount
	cmp #00
	bne mcd
	sta yScroll		
mcd:
		
	rts
	
	
moveCameraUp:
	inc yScroll		
//    lda yScroll
//	and #%00000111
//	sta yScroll	
	
	dec cameraCount
	lda cameraCount
	cmp #00
	bne mcu
	sta yScroll	
	dec cameraY
	jsr scrollMapDown
mcu:		
	rts	
	
processCamera:

	lda cameraY		
	clc
	adc #13//camera center on hero
	sec
	sbc heroY		
	bcs ff1
	eor #$ff		
	adc #01
ff1:

	//div by 8
	lsr  ; lsr// lsr
	tax
	cpx #00
	beq fixed
	//ldx #1
rpt:
	//stx xRest+1
	jsr doCamera			
//xRest:	ldx #00	
	dex
	cpx #00
	bne rpt
fixed:	
	jsr doCamera
	rts
	
	
doCamera:		
	
	lda cameraCount
	beq dc
cameraProc: jmp moveCameraDown
dc:
	lda cameraY
	clc
	adc #13//camera center on hero
	
	cmp heroY
	beq doCameraExit
	bcc doCameraPlus // ok heroy > cameraY
	bcs doCameraMinus	
doCameraExit:

	rts
	
doCameraPlus:
	lda cameraY ; cmp #63-24 ; bcc doPlus	
	rts
doPlus:
	lda #8 ; sta cameraCount
	lda #7 ; sta yScroll
	jsr scrollMapUp		
	//lda #1 sta cameraStep
	inc cameraY
	//jsr scrollMapUp	
	
	//replace camera move function
	lda #<moveCameraDown //low byte 
	sta cameraProc+1 //save low byte
	lda #>moveCameraDown //high byte
	sta cameraProc+2 //hi byte save
	
	rts
	
doCameraMinus:	
	lda cameraY ; cmp #01 ; bcs doMinus
	rts
doMinus:
	lda #8 ; sta cameraCount
	lda #0 ; sta yScroll
//	dec cameraY
	
	//replace camera move function
	lda #<moveCameraUp //low byte 
	sta cameraProc+1 //save low byte
	lda #>moveCameraUp //high byte
	sta cameraProc+2 //hi byte save
	
	rts
	
	
// lda #$25 // a = $25 
// cmp value // modif. Z and C accordingly to result of the "substraction" 
//  beq equal // jump if equal (if Z = 1) 
//  bcs greater // jump if greater (if C = 1) 
//  bcc less // jump if less (if C = 0) 
	