
/* HERO */

// struvtures for saving restoring
// on switches save to tmp structs
// herox(0) heroy(1) wascrack(2) crackx(3) cracky(4) herobaseframe(5) tileUnder(6)

hero1:
	.byte 0,0,0,0,0,0,0,0
hero2:
	.byte 0,0,0,0,0,0,0,0

/*	
addHero:
	lda heroesCount
	cmp #00
	beq addHero1
	lda heroX sta hero2
	lda heroY sta hero2+1	
	inc heroesCount
	rts
addHero1:
	inc heroesCount
	lda heroX sta hero1
	lda heroY sta hero1+1	
	rts
*/
	
detectLandTile:
	lda heroBaseFrame ; sec ; sbc #144 ; lsr ; clc ; adc #41
	sta landTile
	rts
	
noSwitch:
	rts
	
switchHero:

	lda tileUnderLegs
	cmp #41
	bcs noSwitch	
	cmp #18
	beq noSwitch

	lda heroesCount
	cmp #02
	bne noSwitch
	
	pha ; lda #1 ; jsr playSound ; pla

	jsr detectLandTile
		
	
switchHeroFast:
	lda #DIR_IDLE ; sta preMoveDir
	lda switchTicker ; eor #%00000001 ; sta switchTicker
	cmp #00
	beq switchToHero2
	//switch
switchToHero1:	
	//ldx heroX ldy heroY lda #128+22 jsr spawnFX
	//save tile to restore
	ldx heroX ; ldy heroY ; jsr getTile ; sta hero2+6 // save tile to testore
	//put a solid tile to poisition
	ldx heroX ; ldy heroY ; lda landTile ; jsr putTile
	
	//sta hero
	ldx hero1 ; ldy hero1+1 ; lda hero1+6 ; jsr putTile
	ldx hero1 ; ldy hero1+1 ;  lda hero1+6 ; jsr putTileToRestore

	//save hero 2 params
	lda heroX ; sta hero2
	lda heroY ; sta hero2+1
	lda wasCrack ; sta hero2+2
	lda crackX ; sta hero2+3
	lda crackY ; sta hero2+4
	lda heroBaseFrame ; sta hero2+5	
	//load hero 1 params
	lda hero1 ; sta heroX
	lda hero1+1 ; sta heroY
	lda hero1+2 ; sta wasCrack
	lda hero1+3 ; sta crackX
	lda hero1+4 ; sta crackY
	lda hero1+5 ; sta heroBaseFrame
	
	//jsr doHeroSprite
	
	//fx
	//ldx heroX ldy heroY lda #128+22 jsr spawnFX
	
	rts		
	
switchToHero2:
	//ldx heroX ldy heroY lda #128+22 jsr spawnFX
	//save tile to restore
	ldx heroX ; ldy heroY ; jsr getTile ; sta hero1+6 // save tile to testore
	//put a solid tile to poisition
	ldx heroX ; ldy heroY ; lda landTile ; jsr putTile
	//sta hero
	ldx hero2 ; ldy hero2+1 ; lda hero2+6 ; jsr putTile
	ldx hero2 ; ldy hero2+1 ; lda hero2+6 ; jsr putTileToRestore
	
	//save hero 1 params
	lda heroX ; sta hero1
	lda heroY ; sta hero1+1
	lda wasCrack ; sta hero1+2
	lda crackX ; sta hero1+3
	lda crackY ; sta hero1+4
	lda heroBaseFrame ; sta hero1+5	
	//load hero 2 params
	lda hero2 ; sta heroX
	lda hero2+1 ; sta heroY
	lda hero2+2 ; sta wasCrack
	lda hero2+3 ; sta crackX
	lda hero2+4 ; sta crackY
	lda hero2+5 ; sta heroBaseFrame
	
	//jsr doHeroSprite
	//fx
	//ldx heroX ldy heroY lda #128+22 jsr spawnFX
	
	rts	

initHero:
	//pattern (0-255)*64
	//set idle frame
	lda #144 ; sta heroBaseFrame ; sta hero2+5
	//set color
	lda #01 ;  sta sprite0Color ;  sta delayCount
	lda #DIR_IDLE  ; sta moveDir ;  sta preMoveDir
	lda #01  ; sta xorTicker ;  sta switchTicker 
	lda #144+22 ;  sta heroKabumFrame
	
	lda #00  ; sta tileUnderLegs
	
	lda #00  ; sta wasCrack  ; sta heroesCount ;  sta isDead	
	
	//clean restore tiles
	sta hero1+6  ; sta hero2+6
		
	jsr initTrail
	
	rts

doCracks:
	//lda moveDir
	//cmp #DIR_IDLE
//	beq noCrack
	//lda preMoveDir
	//cmp moveDir
	//beq noCrack
	lda wasCrack
	cmp #00
	beq noCrack
	//crack
	ldx crackX  ; ldy crackY  ; lda #144+22  ; jsr spawnFX
	ldx crackX  ; ldy crackY  ; lda #TILE_NULL  ; jsr putTile
	lda #00  ; sta wasCrack
	
noCrack:
	rts
	
doHero:
	//jsr doCracks
	lda heroX  ; sta heroPreX
	
	//lda heroX lsr sta xScroll
	//lda #07 sec sbc xScroll sta xScroll
	
	lda heroY  ; sta heroPreY
//	jsr doHeroSprite
	//check what under hero
	//jsr checkUnder		
	
	lda gameState
	cmp #GS_GAMEPLAY
	beq gameplayMode
//ok stage cleared or dead
	jsr doTrail    		
	//dirty hide a sprite
	//lda #0 sta sprite0Y
	rts
gameplayMode:
	jsr controls		
	jsr checkUnder		
	jsr doMove
	
	//jsr checkUnder		
	jsr doTrail	
	rts

//hit:
//	jmp killHero
	
checkUnder:	
	
	//lda spritesCollisionMask and #%00000101
	//cmp #01
	//bne continueCheck
	//cmp #1+3
	//bcs continueCheck
	//jmp killHero
	//lda spritesCollisionMask  and #%00000100  sta $d020
	//lsr lsr
	//bcc hit
	//cmp #05
	//bne continueCheck
	//
	//jsr killHero
	//rts
//continueCheck:

	ldx heroX  ; ldy heroY ;  jsr getTileFromRestoreBuffer
	sta tileToRestore+1//save to restore tile
	
	ldx heroX  ; ldy heroY  ; jsr getTile
	
	cmp #TILE_GOLD
	bne cu1
	dec totalCoins	
	//lda #TILE_NULL 	jsr putTileToRestore
	//lda #1 jsr playSound	
	ldx heroX  ; ldy heroY ;  lda #TILE_NULL 	
	//sta tileToRestore+1//save to restore tile
	//jsr putTileToRestore
	//ldx heroX ldy heroY lda #TILE_NULL 	
	jsr putTile
	rts	
cu1:
	cmp #TILE_COIN
	bne cu2
	dec totalCoins
	//:SetBorderColor(2)			
	//lda #TILE_NULL 	jsr putTileToRestore
	//lda #1 jsr playSound
	ldx heroX  ; ldy heroY  ; lda #TILE_NULL 
	//sta tileToRestore+1//save to restore tile
	//jsr putTileToRestore
	//ldx heroX ldy heroY lda #TILE_NULL 	
	jsr putTile
	//jsr putTile
	rts	
cu2:
	cmp #TILE_REFLECT2
	bne cu3
	//switch dir
	lda moveDir 
	cmp #DIR_RIGHT
	bne sw1
	//lda #DIR_UP sta moveDir sta preMoveDir rts
	ldx heroX  ; ldy heroY ;  lda #FX_REFLECT ;  jsr spawnFX
	lda #00 ;  jsr playSound
	jmp startMoveUp
sw1:
	cmp #DIR_DOWN
	bne sw2
	//lda #DIR_LEFT sta moveDir sta preMoveDir rts
	ldx heroX  ; ldy heroY  ; lda #FX_REFLECT  ; jsr spawnFX
	lda #00  ; jsr playSound
	jmp startMoveLeft
sw2:
	cmp #DIR_LEFT
	bne sw3
	//lda #DIR_DOWN sta moveDir sta preMoveDir rts
	ldx heroX  ; ldy heroY  ; lda #FX_REFLECT ;  jsr spawnFX
	lda #00  ; jsr playSound
	jmp startMoveDown
sw3:
	ldx heroX  ; ldy heroY  ; lda #FX_REFLECT  ; jsr spawnFX
	lda #00  ; jsr playSound
	jmp startMoveRight
	//lda #DIR_RIGHT sta moveDir sta preMoveDir
	 rts
cu3:

	cmp #TILE_REFLECT1
	bne cu4
	//switch dir
	lda moveDir
	cmp #DIR_RIGHT
	bne sw01
	//lda #DIR_DOWN sta moveDir sta preMoveDir rts
	ldx heroX  ; ldy heroY  ; lda #FX_REFLECT ;  jsr spawnFX
	lda #00 ;  jsr playSound
	jmp startMoveDown
sw01:
	cmp #DIR_DOWN
	bne sw02
	//lda #DIR_RIGHT sta moveDir sta preMoveDir rts
	ldx heroX  ; ldy heroY  ; lda #FX_REFLECT  ; jsr spawnFX
	lda #00  ; jsr playSound
	jmp startMoveRight
sw02:
	cmp #DIR_LEFT
	bne sw03
	//lda #DIR_UP sta moveDir sta preMoveDir rts
	ldx heroX  ; ldy heroY  ; lda #FX_REFLECT  ; jsr spawnFX
	lda #00  ; jsr playSound
	jmp startMoveUp
sw03:
	//lda #DIR_LEFT sta moveDir sta preMoveDir 
	ldx heroX ;  ldy heroY  ; lda #FX_REFLECT  ; jsr spawnFX
	lda #00  ; jsr playSound
	jmp startMoveLeft
	rts
cu4:


	cmp #TILE_EXIT
	bne cu6
	lda totalCoins
	cmp #00
	bne cu6
	
	pha ;  lda #1  ; jsr playSound  ; pla
	
	ldx heroX  ; ldy heroY  ; lda #144+22  ; jsr spawnFX	
	
	ldx heroX  ; ldy heroY  ; lda #TILE_NULL  ; jsr putTile
	ldx heroX  ; ldy heroY  ; lda #TILE_NULL  ; sta tileToRestore+1  ; sta landTile  ; jsr putTileToRestore		
	
	dec heroesCount
	
	lda #DIR_IDLE ;  sta moveDir
	
	lda heroesCount
	cmp #00
	bne notClear
	lda #GS_CLEAR  ; sta gameState
	rts
notClear:
	jsr switchHeroFast
	lda #vHeroAnimDelay //reset counter
	sta heroAnimDelay  //save it
	rts
cu6:
	cmp #TILE_HIDDEN
	bne cux4	
	ldx heroX  ; ldy heroY  ; lda #TILE_BLOCK
	//sta tileToRestore+1//save to restore tile
	//jsr putTileToRestore	
	jsr putTile
	rts
cux4:


//	cmp #TILE_PIKEDOWN
//	beq killHero
//	cmp #TILE_PIKEUP
//	beq killHero
//	cmp #TILE_PIKERIGHT
//	beq killHero
//	cmp #TILE_PIKELEFT
//	beq killHero

	//reget tile
	ldx heroX ;  ldy heroY ;  jsr getTile
	
	cmp #TILE_BEAM
	bcs killHero
	
	cmp #TILE_PIKEDOWN
	beq killHero
	cmp #TILE_PIKEUP
	beq killHero
	cmp #TILE_PIKERIGHT
	beq killHero
	cmp #TILE_PIKELEFT
	beq killHero


//endOfKills:

	rts
	
killHero:	
	lda isDead
	bne alreadyKilled
	
	lda #255 ;  sta isDead
	lda #3  ; jsr playSound
	lda #DIR_IDLE  ; sta moveDir
	lda #GS_CLEAR  ; sta gameState
	lda #vHeroAnimDelay //reset counter
	sta heroAnimDelay  //save it	
alreadyKilled:
	rts
		
controls:
	lda delayCount
	cmp #00
	beq doControls
	dec delayCount
	rts
	
doMove:
	lda moveDir
	cmp #DIR_IDLE
	bne doMoving
	rts
	
doMoving:		
	cmp #DIR_RIGHT
	bne notRightMove
	jmp tryMoveRight
notRightMove:
	cmp #DIR_LEFT
	bne notLeftMove
	jmp tryMoveLeft
notLeftMove:
	cmp #DIR_UP
	bne notUpMove
	jmp tryMoveUp
notUpMove:
	cmp #DIR_DOWN
	bne notDownMove
	jmp tryMoveDown
notDownMove:

	rts
	
startMoveRight:		
	lda #DIR_RIGHT  ; sta moveDir  ; sta preMoveDir
	lda #144+12  ; sta landFrame
	lda #FX_LANDRIGHT  ; sta heroLandFX
	jsr doCracks
	rts	
	
startMoveLeft:		
	lda #DIR_LEFT  ; sta moveDir ;  sta preMoveDir
	lda #144+8 ;  sta landFrame
	lda #FX_LANDLEFT  ; sta heroLandFX
	jsr doCracks
	rts		
	
startMoveDown:		
	lda #DIR_DOWN  ; sta moveDir ;  sta preMoveDir
	lda #144+0 ;  sta landFrame
	lda #FX_LANDDOWN  ; sta heroLandFX
	jsr doCracks
	rts	
	
startMoveUp:		
	lda #DIR_UP  ; sta moveDir  ; sta preMoveDir
	lda #144+4 ;  sta landFrame
	lda #FX_LANDUP  ; sta heroLandFX
	jsr doCracks
	rts		
	
	
doControls:
	//if we not already moving
	lda moveDir
	cmp #DIR_IDLE
	beq doControlsCheck
	rts

firePushed:
	lda fireDelay
	cmp #00
	beq hitFire
	dec fireDelay	
	rts	
hitFire:
	lda #24  ; sta fireDelay	
	jsr switchHero
	//add fx
	lda heroesCount
	cmp #02
	bne skipol	
	ldx heroX  ; ldy heroY ;  lda #144+22  ; jsr spawnFX
skipol:
	
	rts	
	
	
doControlsCheck:	
	jsr doKeyboard
	lda firekb
	cmp #01
	beq firePushed
	jsr processKeyboard
	
	
	//process joystick
	jsr readJoy	
	//check fire
	bcc firePushed
	//not pushed - reset delay
	lda #00 ;  sta fireDelay
		
	
//left right
	lda dx
	cmp #1
	bne notRight
	//jsr doCracks
	//if same dir then skip
	lda preMoveDir  ; cmp #DIR_RIGHT  ; beq skipRight
	pha  ; lda #0  ; jsr playSound ;  pla
	jsr startMoveRight
	//set moving frame
	lda #144+16 ;  sta heroBaseFrame
	
	//ldx heroX ldy heroY lda #128+28 jsr spawnFX
	//jmp tryMoveRight
skipRight:
	rts
notRight:
	cmp #-1
	bne notLeft
	//jsr doCracks
	//lda heroX cmp #01 bcc endControls //limits
	lda preMoveDir  ; cmp #DIR_LEFT ;  beq skipLeft
	pha  ; lda #0  ; jsr playSound  ; pla
	//lda #DIR_LEFT sta moveDir sta preMoveDir
	//lda #128+8 sta landFrame
	jsr startMoveLeft
	//set moving frame
	lda #144+16  ; sta heroBaseFrame
	//jmp tryMoveLeft
skipLeft:
	rts
notLeft:
//up down
	lda dy
	cmp #1
	bne notDown
	//jsr doCracks
	lda preMoveDir ;  cmp #DIR_DOWN  ; beq skipDown
	pha  ; lda #0  ; jsr playSound  ; pla
	//lda #DIR_DOWN sta moveDir sta preMoveDir
	//lda #128+0 sta landFrame
	jsr startMoveDown
	//set moving frame
	lda #144+16  ; sta heroBaseFrame
skipDown:
	rts
	//lda heroY cmp #63 bcs endControls //limits
	//jmp tryMoveDown
notDown:
	cmp #-1
	bne notUp
	//jsr doCracks
	lda preMoveDir  ; cmp #DIR_UP ;  beq skipUp
	pha  ; lda #0  ; jsr playSound  ; pla
	//lda #DIR_UP sta moveDir sta preMoveDir	
	//lda #128+4 sta landFrame
	jsr startMoveUp
	//set moving frame
	lda #144+16 ;  sta heroBaseFrame
skipUp:
	rts
	//lda heroY cmp #01 bcc endControls //limits
	//jmp tryMoveUp
notUp:

endControls:
	rts
	
processKeyboard:
//left right
	lda dxkb
	cmp #1
	bne notRightKB
	//jsr doCracks
	//if same dir then skip
	lda preMoveDir ;  cmp #DIR_RIGHT ;  beq skipRightKB
	pha  ; lda #0  ; jsr playSound  ; pla
	jsr startMoveRight
	//set moving frame
	lda #144+16  ; sta heroBaseFrame
	
	//ldx heroX ldy heroY lda #128+28 jsr spawnFX
	//jmp tryMoveRight
skipRightKB:
	rts
notRightKB:
	cmp #-1
	bne notLeftKB
	//jsr doCracks
	//lda heroX cmp #01 bcc endControls //limits
	lda preMoveDir  ; cmp #DIR_LEFT ;  beq skipLeftKB
	pha ;  lda #0  ; jsr playSound  ; pla
	//lda #DIR_LEFT sta moveDir sta preMoveDir
	//lda #128+8 sta landFrame
	jsr startMoveLeft
	//set moving frame
	lda #144+16  ; sta heroBaseFrame
	//jmp tryMoveLeft
skipLeftKB:
	rts
notLeftKB:
//up down
	lda dykb
	cmp #1
	bne notDownKB
	//jsr doCracks
	lda preMoveDir  ; cmp #DIR_DOWN  ; beq skipDownKB
	pha  ; lda #0  ; jsr playSound ;  pla
	//lda #DIR_DOWN sta moveDir sta preMoveDir
	//lda #128+0 sta landFrame
	jsr startMoveDown
	//set moving frame
	lda #144+16 ;  sta heroBaseFrame
skipDownKB:
	rts
	//lda heroY cmp #63 bcs endControls //limits
	//jmp tryMoveDown
notDownKB:
	cmp #-1
	bne notUpKB
	//jsr doCracks
	lda preMoveDir  ; cmp #DIR_UP ;  beq skipUpKB
	pha  ; lda #0  ; jsr playSound  ; pla
	//lda #DIR_UP sta moveDir sta preMoveDir	
	//lda #128+4 sta landFrame
	jsr startMoveUp
	//set moving frame
	lda #144+16  ; sta heroBaseFrame
skipUpKB:
	rts
	//lda heroY cmp #01 bcc endControls //limits
	//jmp tryMoveUp
notUpKB:

endControlsKB:
	rts
	
tryMoveLeft:		
	//collision with solid
	lda heroX  ; cmp #01  ; bcc endMoving //limits
	ldx heroX  ; ldy heroY  ; dex  ; jsr getTile
	//fix trail
	cmp #TILE_CRACK
	bne tml1
	//land on crack
	ldx heroX  ; dex  ; ldy heroY
	jmp saveCrack
tml1:
	cmp #49
	bcs tml
	cmp #TILE_SOLID
	bcs endMoving
	cmp #TILE_PIKEDOWN
	beq endMoving
	cmp #TILE_PIKEUP
	beq endMoving
	//kill
	//cmp #TILE_PIKERIGHT
	//bne tml	
	//jmp killHero
tml:	
	ldx heroX  ; ldy heroY  ; lda #73+8  ; jsr addTrail
	
	dec heroX
	lda #vKeyDelay  ; sta delayCount
	rts
	
tryMoveRight:	
	//collision with solid
	lda heroX ;  cmp #11 ;  bcs endMoving //limits
	ldx heroX  ; ldy heroY  ; inx  ; jsr getTile
	//fix trail
	cmp #TILE_CRACK
	bne tmr1
	//land on crack
	ldx heroX  ; inx
	ldy heroY
	jmp saveCrack
tmr1:
	cmp #49
	bcs tmr
	cmp #TILE_SOLID
	bcs endMoving
	cmp #TILE_PIKEDOWN
	beq endMoving
	cmp #TILE_PIKEUP
	beq endMoving
	//kill
	//cmp #TILE_PIKELEFT
	//bne tmr
	//jmp killHero
tmr:
	//add trail
	ldx heroX  ; ldy heroY ;  lda #65+8  ; jsr addTrail
		
	inc heroX
	lda #vKeyDelay  ; sta delayCount
	rts	
		
endMoving:
	//save hit tile to tile under legs
	sta tileUnderLegs
	
	lda #DIR_IDLE ;  sta moveDir	
	//set moving frame
	lda xorTicker  ; eor #%00000001 ;  sta xorTicker
	//lda #00
	asl
	clc
	adc landFrame
	sta heroBaseFrame			
	
	ldx heroX  ; ldy heroY  ; lda heroLandFX  ; jsr spawnFX
	
	rts
	
tryMoveUp:	
	
	//collision with solid
	ldx heroX ;  ldy heroY  ; dey  ; jsr getTile
	//fix trail
	cmp #TILE_CRACK
	bne tmu1
	//land on crack
	ldx heroX  ; ldy heroY  ; dey
	jmp saveCrack
tmu1:
	cmp #49
	bcs tmu
	cmp #TILE_SOLID
	bcs endMoving	
	cmp #TILE_PIKERIGHT
	beq endMoving
	cmp #TILE_PIKELEFT
	beq endMoving
	cmp #TILE_DOWN
	beq endMoving
	//kill
	//cmp #TILE_PIKEDOWN
	//bne tmu
	//jmp killHero
tmu:	
	ldx heroX  ; ldy heroY  ; lda #49+8  ; jsr addTrail
	
	dec heroY
	lda #vKeyDelay  ; sta delayCount
	rts
	
tryMoveDown:
	//collision with solid
	ldx heroX  ; ldy heroY  ; iny  ; jsr getTile
	//fix trail
	cmp #TILE_CRACK
	bne tmd1
	//land on crack	
	ldx heroX  ; ldy heroY  ; iny 
	jmp saveCrack
tmd1:
	cmp #49
	bcs tmd
	cmp #TILE_SOLID
	bcs endMoving
	cmp #TILE_PIKERIGHT
	beq endMoving
	cmp #TILE_PIKELEFT
	beq endMoving
	cmp #TILE_UP
	beq endMoving
	//kill
	//cmp #TILE_PIKEUP
	//bne tmd
	//jmp killHero
tmd:		
	//lda #05 ldx heroX ldy heroY jsr putTile
	ldx heroX  ; ldy heroY  ; lda #57+8  ; jsr addTrail
	
	inc heroY
	lda #vKeyDelay  ; sta delayCount
	rts	

saveCrack:	
	sty crackY ;  stx crackX  ; lda #01  ; sta wasCrack
	jmp endMoving
	
//fix hero sprite inside camera bounds
doHeroSprite:
	lda clearCount
	cmp #32
	bne dhs
	rts
dhs:

	//x	
	lda heroPreX  ; clc  ; adc #17 ;  asl  ; asl  ; asl ;  sec  ; sbc #04  ; sta sprite0X
	lda #0  ; sta sprite0Y	
	
	lda heroPreY		
	sec
	sbc cameraY		
dhs1:
	cmp #25
	bcs dhs2	
	//ok <24 we need to put hero sprite
	asl ;  asl  ; asl  ; clc  ; adc #43  ; clc  ; adc yScroll  ; sta sprite0Y
dhs2:
	rts
