
.var spritesCollisionMask = $d01e

//sprites module

.var sprite0X = $d000
.var sprite0Y = $d001
.var sprite0Color = $D027

.var sprite1X = $d002
.var sprite1Y = $d003
.var sprite1Color = $D028

.var sprite2X = $d004
.var sprite2Y = $d005
.var sprite2Color = $D029

.var sprite3X = $d006
.var sprite3Y = $d007
.var sprite3Color = $D02A

.var sprite4X = $d008
.var sprite4Y = $d009
.var sprite4Color = $D02B

.var sprite5X = $d00a
.var sprite5Y = $d00b
.var sprite5Color = $D02C

.var sprite6X = $d00c
.var sprite6Y = $d00d
.var sprite6Color = $D02D

.var sprite7X = $d00e
.var sprite7Y = $d00f
.var sprite7Color = $D02E

.var spritesXbit = $d010
//00000000
// every bit is a 9-bit of x for sprite
//Example:
//LDA #44
//STA $D00A       ; X position sprite #5 set on 44
//LDA $D010       ; load X-MSB
//ORA #%00100000  ; set extra bit for sprite #5
//STA $D010       ; write X-MSB register

.var spritesXStrech = $D01D
.var spritesYStrech = $D017

//LDA #%00001111
//STA $D01D       ; Sprite #0-#3 double size in x position / sprite #4-#7 standard

.var spritesBgPriority = $D01B
//bits for evey sprite

//pointers
.var sprite0 = screen + 1016
.var sprite1 = screen + 1017
.var sprite2 = screen + 1018
.var sprite3 = screen + 1019
.var sprite4 = screen + 1020
.var sprite5 = screen + 1021
.var sprite6 = screen + 1022
.var sprite7 = screen + 1023

//Multicolor colors for sprites
.var mcSprites0 = $D025
.var mcSprites1 = $D026

.var mcModes = $d01c 
.var spriteStretchX = $d01d
.var spriteStretchY = $d017

enableSprites:
	lda #255
	sta $D015
	rts
	
disbaleSprites:
	lda #0
	sta $D015
	rts
	
resetVICSprites:
	//reset sprites to default values
	lda #%00000000 ; sta mcModes
	//reset x bits
	sta spritesXbit
	rts

//position all sprite y to invis
hideSprites:
		lda #00
		sta sprite0Y
		sta sprite1Y
		sta sprite2Y
		sta sprite3Y
		sta sprite4Y
		sta sprite5Y
		sta sprite6Y
		sta sprite7Y
	rts
