
// A border macro
.macro SetBorderColor(color) {
        lda #color
        sta $d020
}


hideScreen:
	lda $d011                   //bit 4 = 0 disable
	and #%11101111
	ora #%00000000
	sta $d011
	rts
	
showScreen:
	lda $d011                   //bit 4 = 1 enable
	and #%11101111
	ora #%00010000
	sta $d011
	rts

//wait scanline to hit end of active game windows
waitScanline:
	
wslLoop:
    //wait for raster after main screen	
    lda $d012    // load $d012 (curent raster line)
    cmp #200    // near the end of drawing area ??
	//lda frameReady
	//cmp #255
    bcc wslLoop // if not, keep checking
    lda #00 ; sta frameReady
    
	rts
	
waitScanlineEx:
	
wslLoop2:
    //wait for raster after main screen	
    lda $d012    // load $d012 (curent raster line)
    cmp #200    // near the end of drawing area ??
	//lda frameReady
	//cmp #255
    bne wslLoop2 // if not, keep checking    
    
	rts

initScreen:

	sei //turn off interupts
 
//colors init
	lda #00 //zero to a
	sta $d020 //black border
	sta $d021 //black background
	
	//set 24 rows mode
	//lda $d011
	//and #%11110000
	//sta $d011

	//set 38 collums mode
	lda $d016
	and #%11110111
	//enable multicolor mode
	ora #%00010000
	sta $d016
	
	//enable multicolor mode
	//lda #216
	//sta 53270	
	//
    //lda #24 //0001 x 1000 // screen at 1024 charset at 8096+4096
    //lda #%00011100
    
    lda #%00011000
    
    
    sta $d018  
	
	 
//clear screen 
	ldx #00
	//tax //transfer acc to X - quick ldx 0 :)
 //lda #$20 //put 00 to a $20 - space ASCI code
 
	jsr clearScreen
 

  
  	cli //turn on
  	
  	jsr enableSprites		
	
	rts
	
clearScreen:	
clrloop:	
	lda #81
	sta $0400,x //put value of acc in ($0400 + value in X reg)
	sta $0500,x
	sta $0600,x
	sta $0700,x
	//lda #34
	lda #01
	sta $d800,x
	sta $d900,x
	sta $da00,x
	sta $db00,x
	dex         //dec x
	
	bne clrloop
	
	rts	
	
clearScreen0:		
	lda #32
	sta $0400,x //put value of acc in ($0400 + value in X reg)
	sta $0500,x
	sta $0600,x
	sta $0700,x
	//lda #34
	lda #01
	sta $d800,x
	sta $d900,x
	sta $da00,x
	sta $db00,x
	dex         //dec x
	
	bne clearScreen0
	
	rts		
	
/*	
	.macro ScrollUp() 
	{
	
	.for (var j=0;j<=24;j++) 	
	{
		.for (var i=0;i<=12;i++) 
			{
				lda screenStart+i+j*40+40
				sta screenStart+i+j*40
				lda colorStart+i+j*40+40
				sta colorStart+i+j*40
			}
	}
	}	
*/	